using Microsoft.Extensions.Logging;

namespace EonaCat.Logger.EonaCatCoreLogger
{
    public class TelegramLoggerProvider : ILoggerProvider
    {
        private readonly TelegramLoggerOptions _options;

        public TelegramLoggerProvider(TelegramLoggerOptions options)
        {
            _options = options;
        }

        public ILogger CreateLogger(string categoryName)
        {
            return new TelegramLogger(categoryName, _options);
        }

        public void Dispose()
        {
            // Nothing to dispose
        }
    }
}
